AMCLFiducial Class Reference
Inheritance diagram for AMCLFiducial:

## Public Member Functions

| AMCLFiducial (player_devaddr_t addr)
virtual int | Load (ConfigFile *cf, int section)
virtual int | Unload (void)
virtual int | Setup (void)
virtual int | Shutdown (void)
virtual bool | UpdateSensor (pf_t *pf, AMCLSensorData *data)
Public Member Functions inherited from AMCLSensor
| AMCLSensor (AdaptiveMCL &aAMCL)
virtual int | ProcessMessage (QueuePointer &resp_queue, player_msghdr *hdr, void *data)=0
virtual bool | UpdateAction (pf_t *pf, AMCLSensorData *data)
virtual bool | InitSensor (pf_t *pf, AMCLSensorData *data)

## Private Member Functions

virtual AMCLSensorData * | GetData (void)
int | SetupMap (void)
int | read_map_file (const char *)

## Static Private Member Functions

static double | SensorModel (AMCLFiducialData *data, pf_vector_t pose)

## Private Attributes

player_device_id_t | fiducial_id
player_device_id_t | map_id
Driver * | driver
double | time
map_t * | map
AMCLFiducialMap * | fmap
pf_vector_t | laser_pose
double | range_max
double | range_var
double | angle_var
double | range_bad
double | angle_bad

## Additional Inherited Members

Public Attributes inherited from AMCLSensor
bool | is_action
pf_vector_t | pose
Protected Attributes inherited from AMCLSensor
AdaptiveMCL & | AMCL

The documentation for this class was generated from the following file:

- amcl_fiducial.h

Last updated 12 September 2005 21:38:45